program siena07;
{$if defined(batch)}
{$apptype console}
{$else}
{$apptype gui}
{$ifend}

uses
  Forms,
{$if defined(lazarus)}
  interfaces,
{$ifend}    
  slib in 'slib.pas',
  eight in 'eight.pas',
  s_dat in 's_dat.pas',
  s_base in 's_base.pas',
  s_est in 's_est.pas',
  rangen in 'rangen.pas',
  siena_7 in 'siena_7.pas' {EstForm},
  s_theta in 's_theta.pas' {ThetaForm},
  s_ml in 's_ml.pas',
  s_hysteresis in 's_hysteresis.pas' {HysteresisForm},
  s_ergm_est in 's_ergm_est.pas',
  s_matrices in 's_matrices.pas',
  s_re in 's_re.pas',
  s_test in 's_test.pas',
  s_mcmc in 's_mcmc.pas',
  s_mcmc_II in 's_mcmc_II.pas',
  s_constants in 's_constants.pas',
  chains in 'chains.pas',
  digraph in 'digraph.pas';

{$if not defined(linux)}
//{$if not defined(lazarus)}
{$R *.res}
//{$ifend}
// The .res file from Delphi can be used and will use the Siena icon.Siena07
{$ifend}

begin
  Application.Initialize;
  Application.hintpause := 100;
  Application.hinthidepause := 10000;
  Application.CreateForm(TThetaForm, ThetaForm);
  Application.CreateForm(TEstForm, EstForm);
  Application.CreateForm(THysteresisForm, HysteresisForm);
  {$if not defined(batch) and not defined(silent)}
  EstForm.Visible := True;
{$ifend}
  TEstFormFormActivate();
 // Application.Run;
end.
