unit siena_3;                      (* siena3.pas *)

(* The purpose of this program is to change the .MO file *)

interface

uses classes, slib, s_base, SysUtils, s_dat, s_changemodel, s_constants;
procedure doit;
var outfile,lf: TFileStream;
    st1, st2, st3, st4, st5: shortstring;
    ChangeDigraph: ChangeModelSpecification;
    apf,halter,OK: boolean;
    x: string;

implementation
procedure doit();
begin
  CallingProgram := 3;
  simulate := false;
  st1 := ParamStr(1);
  apf := true;
  halter := false;
  st2 := '';
  st3 := '';
  st4 := '';
  st5 := '';

  if (ParamCount >= 2) then
    begin
    st2 := ParamStr(2);
    end;

  if (ParamCount >= 3) then
    begin
    st2 := ParamStr(2);
    st3 := ParamStr(3);
    end;
  if (ParamCount >= 4) then
    begin
    st4 := ParamStr(4);
    end;
  if (ParamCount >= 5) then
    begin
    st5 := ParamStr(5);
    end;

  with ChangeDigraph do begin
    AttachProject(st1,st1,halter,outfile,lf, apf, false);
    InitialiseBase1(outfile,lf);
    if (not (halter)) then begin
      ReviseDefinition(halter,outfile,lf);
      DefineFunctions(outfile,lf);
      lf.Write(pchar(eol)^,length(eol));//writeln(lf);
      x := 'SIENA03 (Parameter changes)'+eol;
      lf.Write(pchar(x)^,length(x));
      x := 'Date and time: '+DateTimeToStr(Now)+eol;
      lf.Write(pchar(x)^,length(x));
      if (st2 = 'f') then FileChange(outfile,lf,st3,OK)
       else LineChange(outfile,lf,st2,st3,st4,st5,OK);
//      AdaptModel(outfile);
      if OK then
        begin
        WriteDefinitionModel(lf);
        WriteDefinitionStats(lf);
        end;
    end;
   end;
  //closefile(outfile);
  //closefile(lf);
  outfile.free;
  lf.free;
  end;
end.
